play.db.helper

## Class JdbcWindowIterator<T>

- java.lang.Object
- - play.db.helper.JdbcIterator<T>
  - - play.db.helper.JdbcWindowIterator<T>

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.lang.Iterable<T>, java.util.Iterator<T>

    public class JdbcWindowIterator<T>
    extends JdbcIterator<T>

### Field Summary

### Fields inherited from class play.db.helper.JdbcIterator

`factory, result`

### Constructor Summary

Constructors
Constructor and Description
`JdbcWindowIterator(java.sql.ResultSet result, int pageOffset, int pageSize, java.lang.Class<T> adapterClass)`
`JdbcWindowIterator(java.sql.ResultSet result, int pageOffset, int pageSize, JdbcResultFactory<T> factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `load()`

### Methods inherited from class play.db.helper.JdbcIterator

`close, close, execute, execute, hasNext, iterator, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### JdbcWindowIterator

    public JdbcWindowIterator(java.sql.ResultSet result,
                              int pageOffset,
                              int pageSize,
                              JdbcResultFactory<T> factory)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### JdbcWindowIterator

    public JdbcWindowIterator(java.sql.ResultSet result,
                              int pageOffset,
                              int pageSize,
                              java.lang.Class<T> adapterClass)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### load

    protected void load()

Overrides:
  `load` in class `JdbcIterator<T>`